.image-container
{
    display: flex;
    justify-content: center;
    border: 2px dashed red;
    border-radius: 10px;
    padding: 2px;
    width: 250px;
    height: 250px;
}

.cat-img
{
    vertical-align: middle;
    max-width: 100%;
    max-height: 100%;
    height: auto;
    width: auto;
    margin: auto;
}

.card
{
    display: flex;
    flex-flow: column;
    padding: 20px;
    border: 2px solid black;
    border-radius: 20px;
    width: fit-content;
    height: fit-content;
}

.cat-name
{
    font-family:Arial, Helvetica, sans-serif;
}

.cat-name
{
    font-size: 1.5em;
    font-weight: bold;
}

main
{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    flex: 1 0 auto;
}

footer
{
    flex-shrink: 0;
}

body
{
    display: flex;
    flex-direction: column;
}

html, body
{
    height: 100%;
}

body
{
    background-color: lightgoldenrodyellow;
    margin: 0;
}

header, footer
{
    background-color: orange;
}

header
{
    margin-bottom: 10px;
}

h1
{
    text-align: center;
    margin: 10px;
}

footer
{
    text-align: center;
}